curl --request GET \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"amount": 123,
"items": [
{
"code": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"tax_classification": "<string>",
"total": 123,
"metadata": {}
}
],
"object": "Transaction",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"metadata": {},
"billing_descriptor": "<string>",
"original_billing_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"statusCode": "<string>"
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "transaction-not-found",
"message": "transaction not found"
}{
"code": "server-error",
"message": "<string>"
}Retrieve details of a payment transaction
curl --request GET \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/transaction/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"amount": 123,
"items": [
{
"code": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"tax_classification": "<string>",
"total": 123,
"metadata": {}
}
],
"object": "Transaction",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"metadata": {},
"billing_descriptor": "<string>",
"original_billing_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"statusCode": "<string>"
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "transaction-not-found",
"message": "transaction not found"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Path Parameters
The extTransactionID parameter is the transaction ID on which the original transaction was processed.
36Response
OK - Transaction Status successfully retrieved
The Transaction object provides a way to charge a customer.
A unique identifier.
128The net amount of the charge presented by this transaction, as a decimal. Must be positive (zero allowed).
The array of Transaction Items belonging to this transaction. Items correspond to the charges.There will be 2 separate items - One for the actual amount and other for tax amount.
Show child attributes
Show child attributes
Value is “Transaction”
Transaction The time this transaction was initiated.
A set of key/value pairs that you can attach to an object. Useful for storing additional information. For transactions resulting from a subscription, the metadata is also inherited from the subscription.
Show child attributes
Show child attributes
Optional “soft descriptor” to send to the aggregator for this transaction.
The original scheduled billing date associated with the billing for which this transaction collects funds. For an initial attempt, this is the same as the transaction date; for a retry transaction this is the original attempt date.
Status of the transaction.
In case of failed transaction, the error code
Was this page helpful?

